summaryrefslogtreecommitdiffstats
path: root/source/a/os-prober/os-prober.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/os-prober/os-prober.SlackBuild')
-rwxr-xr-xsource/a/os-prober/os-prober.SlackBuild14
1 files changed, 4 insertions, 10 deletions
diff --git a/source/a/os-prober/os-prober.SlackBuild b/source/a/os-prober/os-prober.SlackBuild
index 4e443e68b..a95243268 100755
--- a/source/a/os-prober/os-prober.SlackBuild
+++ b/source/a/os-prober/os-prober.SlackBuild
@@ -28,21 +28,15 @@ BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
- arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
esac
export ARCH
fi
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i586" ]; then
+if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
@@ -89,7 +83,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-make || exit 1
+make CFLAGS="$SLKCFLAGS" || exit 1
mkdir -p $PKG/usr/bin
cp -a linux-boot-prober os-prober $PKG/usr/bin